import { componentQrl, inlinedQrl, _jsxS } from '@builder.io/qwik';
import { SfBadgePlacement } from './types.qwik.mjs';

const SfBadge = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ content, variant, max = 99, class: className, placement = SfBadgePlacement["top-right"], ...attributes }) => {
  const isDot = variant === "dot";
  let displayValue = content;
  if (isDot)
    displayValue = "";
  else if (!Number.isNaN(content) && Number(content) > max)
    displayValue = `${max}+`;
  return /* @__PURE__ */ _jsxS("span", {
    class: [
      "block absolute py-0.5 px-1 bg-secondary-700 font-medium text-white text-[8px] leading-[8px] rounded-xl",
      {
        "min-w-[12px] min-h-[12px]": !isDot,
        "w-[10px] h-[10px]": isDot,
        "top-0 right-0 -translate-x-0.5 translate-y-0.5": placement === "top-right",
        "top-0 left-0 translate-x-0.5 translate-y-0.5": placement === "top-left",
        "bottom-0 right-0 -translate-x-0.5 -translate-y-0.5": placement === "bottom-right",
        "bottom-0 left-0 translate-x-0.5 -translate-y-0.5": placement === "bottom-left"
      },
      className
    ],
    ...attributes,
    children: displayValue
  }, {
    "data-testid": "badge"
  }, 0, "Nd_0");
}, "SfBadge_component_T00blxxOsUQ"));

export { SfBadge };
