'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const variantClasses = {
  [types.SfButtonVariant.primary]: "text-white shadow hover:shadow-md active:shadow bg-primary-700 hover:bg-primary-800 active:bg-primary-900 disabled:bg-disabled-300",
  [types.SfButtonVariant.secondary]: "text-primary-700 hover:bg-primary-100 hover:text-primary-800 active:bg-primary-200 active:text-primary-900 ring-1 ring-primary-700 hover:shadow-md active:shadow shadow hover:ring-primary-800 active:ring-primary-900 disabled:ring-1 disabled:ring-disabled-300 disabled:bg-white/50",
  [types.SfButtonVariant.tertiary]: "text-primary-700 hover:bg-primary-100 hover:text-primary-800 active:bg-primary-200 active:text-primary-900 disabled:bg-transparent"
};
const getSizeClasses = (size, square) => {
  switch (size) {
    case types.SfButtonSize.sm:
      return [
        square ? "p-1.5" : "leading-5 text-sm py-1.5 px-3",
        "gap-1.5"
      ].join(" ");
    case types.SfButtonSize.lg:
      return [
        square ? "p-4" : "py-3 leading-6 px-6",
        "gap-3"
      ].join(" ");
    default:
      return [
        square ? "p-2" : "py-2 leading-6 px-4",
        "gap-2"
      ].join(" ");
  }
};
const Button = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((attributes) => {
  return /* @__PURE__ */ qwik._jsxS("button", {
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "6X_0")
  }, null, 0, "6X_1");
}, "Button_component_1ZIuHN0kuv8"));
const SfButton = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ as, ref, class: className, size = types.SfButtonSize.base, slotPrefix, slotSuffix, variant = types.SfButtonVariant.primary, square, type, ...attributes }) => {
  qwik._jsxBranch();
  const Tag = as || Button;
  return /* @__PURE__ */ qwik._jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: [
      "inline-flex items-center justify-center font-medium text-base focus-visible:outline focus-visible:outline-offset rounded-md disabled:text-disabled-500 disabled:bg-disabled-300 disabled:shadow-none disabled:ring-0 disabled:cursor-not-allowed",
      getSizeClasses(size, square),
      variantClasses[variant],
      className
    ],
    "data-testid": "button",
    type,
    ...attributes,
    children: [
      slotPrefix && /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
        name: "prefix",
        [qwik._IMMUTABLE]: {
          name: qwik._IMMUTABLE
        }
      }, 3, "6X_2"),
      /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "6X_3"),
      slotSuffix && /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
        name: "suffix",
        [qwik._IMMUTABLE]: {
          name: qwik._IMMUTABLE
        }
      }, 3, "6X_4")
    ],
    [qwik._IMMUTABLE]: {
      "data-testid": qwik._IMMUTABLE
    }
  }, 0, "6X_5");
}, "SfButton_component_IF0jAYBVUqI"));

exports.SfButton = SfButton;
exports._auto_Button = Button;
exports.getSizeClasses = getSizeClasses;
exports.variantClasses = variantClasses;
