import { componentQrl, inlinedQrl, _jsxBranch, _jsxC, Slot, _IMMUTABLE, _jsxS } from '@builder.io/qwik';
import { SfButtonVariant, SfButtonSize } from './types.qwik.mjs';

const variantClasses = {
  [SfButtonVariant.primary]: "text-white shadow hover:shadow-md active:shadow bg-primary-700 hover:bg-primary-800 active:bg-primary-900 disabled:bg-disabled-300",
  [SfButtonVariant.secondary]: "text-primary-700 hover:bg-primary-100 hover:text-primary-800 active:bg-primary-200 active:text-primary-900 ring-1 ring-primary-700 hover:shadow-md active:shadow shadow hover:ring-primary-800 active:ring-primary-900 disabled:ring-1 disabled:ring-disabled-300 disabled:bg-white/50",
  [SfButtonVariant.tertiary]: "text-primary-700 hover:bg-primary-100 hover:text-primary-800 active:bg-primary-200 active:text-primary-900 disabled:bg-transparent"
};
const getSizeClasses = (size, square) => {
  switch (size) {
    case SfButtonSize.sm:
      return [
        square ? "p-1.5" : "leading-5 text-sm py-1.5 px-3",
        "gap-1.5"
      ].join(" ");
    case SfButtonSize.lg:
      return [
        square ? "p-4" : "py-3 leading-6 px-6",
        "gap-3"
      ].join(" ");
    default:
      return [
        square ? "p-2" : "py-2 leading-6 px-4",
        "gap-2"
      ].join(" ");
  }
};
const Button = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((attributes) => {
  return /* @__PURE__ */ _jsxS("button", {
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "6X_0")
  }, null, 0, "6X_1");
}, "Button_component_1ZIuHN0kuv8"));
const SfButton = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ as, ref, class: className, size = SfButtonSize.base, slotPrefix, slotSuffix, variant = SfButtonVariant.primary, square, type, ...attributes }) => {
  _jsxBranch();
  const Tag = as || Button;
  return /* @__PURE__ */ _jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: [
      "inline-flex items-center justify-center font-medium text-base focus-visible:outline focus-visible:outline-offset rounded-md disabled:text-disabled-500 disabled:bg-disabled-300 disabled:shadow-none disabled:ring-0 disabled:cursor-not-allowed",
      getSizeClasses(size, square),
      variantClasses[variant],
      className
    ],
    "data-testid": "button",
    type,
    ...attributes,
    children: [
      slotPrefix && /* @__PURE__ */ _jsxC(Slot, {
        name: "prefix",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "6X_2"),
      /* @__PURE__ */ _jsxC(Slot, null, 3, "6X_3"),
      slotSuffix && /* @__PURE__ */ _jsxC(Slot, {
        name: "suffix",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "6X_4")
    ],
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "6X_5");
}, "SfButton_component_IF0jAYBVUqI"));

export { SfButton, Button as _auto_Button, getSizeClasses, variantClasses };
