'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const jsxRuntime = require('@builder.io/qwik/jsx-runtime');
const types = require('./types.qwik.cjs');

const SfChip = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfChipSize.base, class: _class, slotPrefix, slotSuffix, inputProps, square = false, ref, onChange$, ...attributes }) => {
  qwik._jsxBranch();
  const chipId = qwik.useId();
  const paddingForSize = (size2, square2, slotPrefix2, slotSuffix2) => {
    switch (size2) {
      case types.SfChipSize.sm:
        return square2 ? "px-1.5" : [
          slotPrefix2 ? "pl-1.5" : "pl-3",
          slotSuffix2 ? "pr-1.5" : "pr-3"
        ];
      default:
        return square2 ? "px-2" : [
          slotPrefix2 ? "pl-2" : "pl-4",
          slotSuffix2 ? "pr-2" : "pr-4"
        ];
    }
  };
  const getSizeClasses = (size2) => {
    switch (size2) {
      case types.SfChipSize.sm:
        return `text-sm py-1.5 gap-1.5`;
      default:
        return "text-base py-2 gap-2";
    }
  };
  const getCheckedClasses = (checked) => {
    return checked ? "ring-2 ring-primary-700 hover:ring-primary-700" : " hover:ring-primary-200 ring-neutral-200";
  };
  const getDisabledClasses = (disabled) => {
    return disabled ? "cursor-not-allowed bg-disabled-100 opacity-50 ring-1 ring-disabled-200 hover:ring-disabled-200" : "hover:bg-primary-100 cursor-pointer";
  };
  return /* @__PURE__ */ qwik._jsxC(jsxRuntime.Fragment, {
    children: [
      /* @__PURE__ */ qwik._jsxS("input", {
        ...ref ? {
          ref
        } : {},
        ...inputProps,
        onChange$: /* @__PURE__ */ qwik.inlinedQrl((e) => {
          const [onChange$2] = qwik.useLexicalScope();
          return onChange$2 && onChange$2(e);
        }, "SfChip_component__Fragment_input_onChange_YSkqd8HA5AM", [
          onChange$
        ])
      }, {
        class: "hidden",
        id: chipId,
        type: "checkbox"
      }, 0, null),
      /* @__PURE__ */ qwik._jsxS("label", {
        class: [
          "ring-1 ring-inset rounded-full inline-flex items-center transition duration-200 justify-center outline-offset-2 outline-secondary-600  focus-visible:outline",
          getCheckedClasses(inputProps?.checked),
          getDisabledClasses(inputProps?.disabled),
          getSizeClasses(size),
          paddingForSize(size, square, !!slotPrefix, !!slotSuffix),
          _class
        ],
        ...attributes,
        children: [
          slotPrefix && /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
            name: "prefix",
            [qwik._IMMUTABLE]: {
              name: qwik._IMMUTABLE
            }
          }, 3, "Ue_0"),
          /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "Ue_1"),
          slotSuffix && /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
            name: "suffix",
            [qwik._IMMUTABLE]: {
              name: qwik._IMMUTABLE
            }
          }, 3, "Ue_2")
        ]
      }, {
        "data-testid": "chip",
        for: chipId
      }, 0, null)
    ]
  }, 1, "Ue_3");
}, "SfChip_component_N0FNqphf6pM"));

exports.SfChip = SfChip;
