import { componentQrl, inlinedQrl, _jsxBranch, useId, _jsxC, _jsxS, useLexicalScope, Slot, _IMMUTABLE } from '@builder.io/qwik';
import { Fragment } from '@builder.io/qwik/jsx-runtime';
import { SfChipSize } from './types.qwik.mjs';

const SfChip = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfChipSize.base, class: _class, slotPrefix, slotSuffix, inputProps, square = false, ref, onChange$, ...attributes }) => {
  _jsxBranch();
  const chipId = useId();
  const paddingForSize = (size2, square2, slotPrefix2, slotSuffix2) => {
    switch (size2) {
      case SfChipSize.sm:
        return square2 ? "px-1.5" : [
          slotPrefix2 ? "pl-1.5" : "pl-3",
          slotSuffix2 ? "pr-1.5" : "pr-3"
        ];
      default:
        return square2 ? "px-2" : [
          slotPrefix2 ? "pl-2" : "pl-4",
          slotSuffix2 ? "pr-2" : "pr-4"
        ];
    }
  };
  const getSizeClasses = (size2) => {
    switch (size2) {
      case SfChipSize.sm:
        return `text-sm py-1.5 gap-1.5`;
      default:
        return "text-base py-2 gap-2";
    }
  };
  const getCheckedClasses = (checked) => {
    return checked ? "ring-2 ring-primary-700 hover:ring-primary-700" : " hover:ring-primary-200 ring-neutral-200";
  };
  const getDisabledClasses = (disabled) => {
    return disabled ? "cursor-not-allowed bg-disabled-100 opacity-50 ring-1 ring-disabled-200 hover:ring-disabled-200" : "hover:bg-primary-100 cursor-pointer";
  };
  return /* @__PURE__ */ _jsxC(Fragment, {
    children: [
      /* @__PURE__ */ _jsxS("input", {
        ...ref ? {
          ref
        } : {},
        ...inputProps,
        onChange$: /* @__PURE__ */ inlinedQrl((e) => {
          const [onChange$2] = useLexicalScope();
          return onChange$2 && onChange$2(e);
        }, "SfChip_component__Fragment_input_onChange_YSkqd8HA5AM", [
          onChange$
        ])
      }, {
        class: "hidden",
        id: chipId,
        type: "checkbox"
      }, 0, null),
      /* @__PURE__ */ _jsxS("label", {
        class: [
          "ring-1 ring-inset rounded-full inline-flex items-center transition duration-200 justify-center outline-offset-2 outline-secondary-600  focus-visible:outline",
          getCheckedClasses(inputProps?.checked),
          getDisabledClasses(inputProps?.disabled),
          getSizeClasses(size),
          paddingForSize(size, square, !!slotPrefix, !!slotSuffix),
          _class
        ],
        ...attributes,
        children: [
          slotPrefix && /* @__PURE__ */ _jsxC(Slot, {
            name: "prefix",
            [_IMMUTABLE]: {
              name: _IMMUTABLE
            }
          }, 3, "Ue_0"),
          /* @__PURE__ */ _jsxC(Slot, null, 3, "Ue_1"),
          slotSuffix && /* @__PURE__ */ _jsxC(Slot, {
            name: "suffix",
            [_IMMUTABLE]: {
              name: _IMMUTABLE
            }
          }, 3, "Ue_2")
        ]
      }, {
        "data-testid": "chip",
        for: chipId
      }, 0, null)
    ]
  }, 1, "Ue_3");
}, "SfChip_component_N0FNqphf6pM"));

export { SfChip };
