'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const SfCounter = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfCounterSize.base, pill = false, class: _class, ...attributes }) => {
  const sizeClasses = {
    [types.SfCounterSize["3xs"]]: `text-3xs ${pill ? "px-1" : ""}`,
    [types.SfCounterSize["2xs"]]: `text-2xs ${pill ? "px-1.5" : ""}`,
    [types.SfCounterSize.xs]: `text-xs ${pill ? "px-2" : ""}`,
    [types.SfCounterSize.sm]: `text-sm ${pill ? "px-2.5" : ""}`,
    [types.SfCounterSize.base]: `text-base ${pill ? "px-3" : ""}`,
    [types.SfCounterSize.lg]: `text-lg ${pill ? "px-3.5" : ""}`
  };
  const classes = [
    "inline-flex items-center before:content-['('] after:content-[')'] text-neutral-500",
    sizeClasses[size],
    pill ? "rounded-full py-0.5 font-medium ring-1 ring-neutral-200 ring-inset before:content-none after:content-none" : "",
    _class
  ];
  return /* @__PURE__ */ qwik._jsxS("span", {
    class: classes,
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "NS_0")
  }, {
    "data-testid": "counter"
  }, 0, "NS_1");
}, "SfCounter_component_FBSLKLNwRvM"));

exports.SfCounter = SfCounter;
