import { componentQrl, inlinedQrl, _jsxS, _jsxC, Slot } from '@builder.io/qwik';
import { SfCounterSize } from './types.qwik.mjs';

const SfCounter = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfCounterSize.base, pill = false, class: _class, ...attributes }) => {
  const sizeClasses = {
    [SfCounterSize["3xs"]]: `text-3xs ${pill ? "px-1" : ""}`,
    [SfCounterSize["2xs"]]: `text-2xs ${pill ? "px-1.5" : ""}`,
    [SfCounterSize.xs]: `text-xs ${pill ? "px-2" : ""}`,
    [SfCounterSize.sm]: `text-sm ${pill ? "px-2.5" : ""}`,
    [SfCounterSize.base]: `text-base ${pill ? "px-3" : ""}`,
    [SfCounterSize.lg]: `text-lg ${pill ? "px-3.5" : ""}`
  };
  const classes = [
    "inline-flex items-center before:content-['('] after:content-[')'] text-neutral-500",
    sizeClasses[size],
    pill ? "rounded-full py-0.5 font-medium ring-1 ring-neutral-200 ring-inset before:content-none after:content-none" : "",
    _class
  ];
  return /* @__PURE__ */ _jsxS("span", {
    class: classes,
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "NS_0")
  }, {
    "data-testid": "counter"
  }, 0, "NS_1");
}, "SfCounter_component_FBSLKLNwRvM"));

export { SfCounter };
