'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const defaultDrawerTag = "aside";
const placementClasses = (placementValue) => `
  ${placementValue !== types.SfDrawerPlacement.right ? "left-0" : ""}
  ${placementValue !== types.SfDrawerPlacement.left ? "right-0" : ""}
  ${placementValue !== types.SfDrawerPlacement.bottom ? "top-0" : ""}
  ${placementValue !== types.SfDrawerPlacement.top ? "bottom-0" : ""}
`;
const SfDrawer = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ as, ref, open, placement = types.SfDrawerPlacement.left, disableClickAway, disableEsc, onClose$, class: _class, ...attributes }) => {
  qwik._jsxBranch();
  const Tag = as || defaultDrawerTag;
  const drawerRef = qwik.useSignal();
  const onKeyDown = /* @__PURE__ */ qwik.inlinedQrl((event) => {
    const [disableEsc2, onClose$2] = qwik.useLexicalScope();
    if (disableEsc2)
      return;
    if (event.key === "Escape")
      onClose$2?.();
  }, "SfDrawer_component_onKeyDown_WjxbaR9ZlPg", [
    disableEsc,
    onClose$
  ]);
  return open ? /* @__PURE__ */ qwik._jsxC(Tag, {
    class: `fixed ${placementClasses(placement)} ${_class}`,
    "data-testid": "drawer",
    ref: ref ? ref : drawerRef,
    tabIndex: "-1",
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "hR_0"),
    onKeyDown$: onKeyDown,
    [qwik._IMMUTABLE]: {
      "data-testid": qwik._IMMUTABLE,
      onKeyDown$: qwik._IMMUTABLE,
      tabIndex: qwik._IMMUTABLE
    }
  }, 0, "hR_1") : null;
}, "SfDrawer_component_xuu01tzp11c"));

exports.SfDrawer = SfDrawer;
exports._auto_defaultDrawerTag = defaultDrawerTag;
exports._auto_placementClasses = placementClasses;
