import { componentQrl, inlinedQrl, _jsxBranch, useSignal, _jsxC, Slot, _IMMUTABLE, useLexicalScope } from '@builder.io/qwik';
import { SfDrawerPlacement } from './types.qwik.mjs';

const defaultDrawerTag = "aside";
const placementClasses = (placementValue) => `
  ${placementValue !== SfDrawerPlacement.right ? "left-0" : ""}
  ${placementValue !== SfDrawerPlacement.left ? "right-0" : ""}
  ${placementValue !== SfDrawerPlacement.bottom ? "top-0" : ""}
  ${placementValue !== SfDrawerPlacement.top ? "bottom-0" : ""}
`;
const SfDrawer = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ as, ref, open, placement = SfDrawerPlacement.left, disableClickAway, disableEsc, onClose$, class: _class, ...attributes }) => {
  _jsxBranch();
  const Tag = as || defaultDrawerTag;
  const drawerRef = useSignal();
  const onKeyDown = /* @__PURE__ */ inlinedQrl((event) => {
    const [disableEsc2, onClose$2] = useLexicalScope();
    if (disableEsc2)
      return;
    if (event.key === "Escape")
      onClose$2?.();
  }, "SfDrawer_component_onKeyDown_WjxbaR9ZlPg", [
    disableEsc,
    onClose$
  ]);
  return open ? /* @__PURE__ */ _jsxC(Tag, {
    class: `fixed ${placementClasses(placement)} ${_class}`,
    "data-testid": "drawer",
    ref: ref ? ref : drawerRef,
    tabIndex: "-1",
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "hR_0"),
    onKeyDown$: onKeyDown,
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE,
      onKeyDown$: _IMMUTABLE,
      tabIndex: _IMMUTABLE
    }
  }, 0, "hR_1") : null;
}, "SfDrawer_component_xuu01tzp11c"));

export { SfDrawer, defaultDrawerTag as _auto_defaultDrawerTag, placementClasses as _auto_placementClasses };
