'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const getSizeClasses = (size) => {
  switch (size) {
    case types.SfIconSize.xs:
      return "w-4 h-4";
    case types.SfIconSize.sm:
      return "w-5 h-5";
    case types.SfIconSize.lg:
      return "w-8 h-8";
    case types.SfIconSize.xl:
      return "w-10 h-10";
    case types.SfIconSize["2xl"]:
      return "w-14 h-14";
    case types.SfIconSize["3xl"]:
      return "w-24 h-24";
    case types.SfIconSize["4xl"]:
      return "w-48 h-48";
    default:
      return "w-6 h-6";
  }
};
const SfIconBase = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfIconSize.base, class: _class, ...attributes }) => {
  const uniqueId = qwik.useId();
  return /* @__PURE__ */ qwik._jsxS("svg", {
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "MC_0"),
    class: `inline-block fill-current ${getSizeClasses(size)} ${_class}`
  }, {
    xmlns: "http://www.w3.org/2000/svg"
  }, 0, uniqueId);
}, "SfIconBase_component_Cnj0wQPKY2I"));

exports.SfIconBase = SfIconBase;
exports._auto_getSizeClasses = getSizeClasses;
