import { componentQrl, inlinedQrl, useId, _jsxS, _jsxC, Slot } from '@builder.io/qwik';
import { SfIconSize } from './types.qwik.mjs';

const getSizeClasses = (size) => {
  switch (size) {
    case SfIconSize.xs:
      return "w-4 h-4";
    case SfIconSize.sm:
      return "w-5 h-5";
    case SfIconSize.lg:
      return "w-8 h-8";
    case SfIconSize.xl:
      return "w-10 h-10";
    case SfIconSize["2xl"]:
      return "w-14 h-14";
    case SfIconSize["3xl"]:
      return "w-24 h-24";
    case SfIconSize["4xl"]:
      return "w-48 h-48";
    default:
      return "w-6 h-6";
  }
};
const SfIconBase = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfIconSize.base, class: _class, ...attributes }) => {
  const uniqueId = useId();
  return /* @__PURE__ */ _jsxS("svg", {
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "MC_0"),
    class: `inline-block fill-current ${getSizeClasses(size)} ${_class}`
  }, {
    xmlns: "http://www.w3.org/2000/svg"
  }, 0, uniqueId);
}, "SfIconBase_component_Cnj0wQPKY2I"));

export { SfIconBase, getSizeClasses as _auto_getSizeClasses };
