'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const sizeClasses = {
  [types.SfInputSize.sm]: "py-1.5 px-4",
  [types.SfInputSize.base]: "py-2 px-4",
  [types.SfInputSize.lg]: "py-3 px-4"
};
const SfInput = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ value, onChange$, size = types.SfInputSize.base, invalid, slotPrefix, slotSuffix, class: _class, wrapperClass, ref, ...attributes }) => {
  qwik._jsxBranch();
  return /* @__PURE__ */ qwik._jsxQ("div", {
    class: [
      "flex items-center bg-white rounded-md ring-inset text-neutral-500 hover:ring-primary-700 focus-within:caret-primary-700 active:caret-primary-700 active:ring-primary-700 active:ring-2 focus-within:ring-primary-700 focus-within:ring-2",
      sizeClasses[size],
      invalid ? "ring-2 ring-negative-700" : "ring-1 ring-neutral-200",
      wrapperClass
    ]
  }, {
    "data-testid": "input"
  }, [
    slotPrefix && /* @__PURE__ */ qwik._jsxQ("span", null, {
      class: "pr-2"
    }, /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
      name: "prefix",
      [qwik._IMMUTABLE]: {
        name: qwik._IMMUTABLE
      }
    }, 3, "me_0"), 1, "me_1"),
    /* @__PURE__ */ qwik._jsxS("input", {
      class: [
        "min-w-[80px] w-full text-base outline-none appearance-none text-neutral-900 disabled:cursor-not-allowed disabled:bg-transparent read-only:bg-transparent",
        _class
      ],
      value,
      ...ref ? {
        ref
      } : {},
      ...attributes,
      onChange$
    }, {
      "data-testid": "input-field",
      size: 1,
      type: "text"
    }, 0, null),
    slotSuffix && /* @__PURE__ */ qwik._jsxQ("span", null, {
      class: "pl-2"
    }, /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
      name: "suffix",
      [qwik._IMMUTABLE]: {
        name: qwik._IMMUTABLE
      }
    }, 3, "me_2"), 1, "me_3")
  ], 1, "me_4");
}, "SfInput_component_jveSRxykyKc"));

exports.SfInput = SfInput;
exports._auto_sizeClasses = sizeClasses;
