'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const defaultLinkTag = "a";
const SfLink = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ as, ref, class: _class, variant = types.SfLinkVariant.primary, ...attributes }) => {
  const variantClasses = {
    [types.SfLinkVariant.primary]: "text-primary-700 underline hover:text-primary-800 active:text-primary-900",
    [types.SfLinkVariant.secondary]: "underline hover:text-primary-800 active:text-primary-900"
  };
  const Tag = as || defaultLinkTag;
  return /* @__PURE__ */ qwik._jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: [
      "focus-visible:outline focus-visible:outline-offset focus-visible:rounded-sm",
      variantClasses[variant],
      _class
    ],
    "data-testid": "link",
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "MI_0"),
    [qwik._IMMUTABLE]: {
      "data-testid": qwik._IMMUTABLE
    }
  }, 0, "MI_1");
}, "SfLink_component_0aTmGiTyu7s"));

exports.SfLink = SfLink;
exports._auto_defaultLinkTag = defaultLinkTag;
exports.default = SfLink;
