import { componentQrl, inlinedQrl, _jsxC, Slot, _IMMUTABLE } from '@builder.io/qwik';
import { SfLinkVariant } from './types.qwik.mjs';

const defaultLinkTag = "a";
const SfLink = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ as, ref, class: _class, variant = SfLinkVariant.primary, ...attributes }) => {
  const variantClasses = {
    [SfLinkVariant.primary]: "text-primary-700 underline hover:text-primary-800 active:text-primary-900",
    [SfLinkVariant.secondary]: "underline hover:text-primary-800 active:text-primary-900"
  };
  const Tag = as || defaultLinkTag;
  return /* @__PURE__ */ _jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: [
      "focus-visible:outline focus-visible:outline-offset focus-visible:rounded-sm",
      variantClasses[variant],
      _class
    ],
    "data-testid": "link",
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "MI_0"),
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "MI_1");
}, "SfLink_component_0aTmGiTyu7s"));

export { SfLink, defaultLinkTag as _auto_defaultLinkTag, SfLink as default };
