'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const sizeClasses = {
  [types.SfListItemSize.sm]: "text-sm px-4 py-1",
  [types.SfListItemSize.base]: "px-4 py-2",
  [types.SfListItemSize.lg]: "p-4"
};
const defaultListItemTag = "li";
const SfListItem = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfListItemSize.base, disabled, selected, class: _class, as, ref, slotPrefix, slotSuffix, ...attributes }) => {
  qwik._jsxBranch();
  const Tag = as || defaultListItemTag;
  return /* @__PURE__ */ qwik._jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: `
          inline-flex items-center gap-2 w-full hover:bg-neutral-100 active:bg-neutral-200 cursor-pointer 
          ${disabled ? "cursor-not-allowed pointer-events-none text-disabled-900" : ""} 
          ${selected ? "font-medium" : ""} 
          ${sizeClasses[size]}
          ${_class}
        `,
    "data-testid": "list-item",
    disabled,
    ...attributes,
    children: [
      slotPrefix && /* @__PURE__ */ qwik._jsxQ("span", {
        class: disabled ? "text-disabled-500" : "text-neutral-500"
      }, null, /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
        name: "prefix",
        [qwik._IMMUTABLE]: {
          name: qwik._IMMUTABLE
        }
      }, 3, "PD_0"), 1, "PD_1"),
      /* @__PURE__ */ qwik._jsxQ("span", null, {
        class: "flex flex-col w-full min-w-0"
      }, /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "PD_2"), 1, null),
      slotSuffix && /* @__PURE__ */ qwik._jsxQ("span", {
        class: disabled ? "text-disabled-500" : "text-neutral-500"
      }, null, /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
        name: "suffix",
        [qwik._IMMUTABLE]: {
          name: qwik._IMMUTABLE
        }
      }, 3, "PD_3"), 1, "PD_4")
    ],
    [qwik._IMMUTABLE]: {
      "data-testid": qwik._IMMUTABLE
    }
  }, 0, "PD_5");
}, "SfListItem_component_4k7yT54W7Mo"));

exports.SfListItem = SfListItem;
exports._auto_defaultListItemTag = defaultListItemTag;
exports._auto_sizeClasses = sizeClasses;
