import { componentQrl, inlinedQrl, _jsxBranch, _jsxC, _jsxQ, Slot, _IMMUTABLE } from '@builder.io/qwik';
import { SfListItemSize } from './types.qwik.mjs';

const sizeClasses = {
  [SfListItemSize.sm]: "text-sm px-4 py-1",
  [SfListItemSize.base]: "px-4 py-2",
  [SfListItemSize.lg]: "p-4"
};
const defaultListItemTag = "li";
const SfListItem = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfListItemSize.base, disabled, selected, class: _class, as, ref, slotPrefix, slotSuffix, ...attributes }) => {
  _jsxBranch();
  const Tag = as || defaultListItemTag;
  return /* @__PURE__ */ _jsxC(Tag, {
    ...ref ? {
      ref
    } : {},
    class: `
          inline-flex items-center gap-2 w-full hover:bg-neutral-100 active:bg-neutral-200 cursor-pointer 
          ${disabled ? "cursor-not-allowed pointer-events-none text-disabled-900" : ""} 
          ${selected ? "font-medium" : ""} 
          ${sizeClasses[size]}
          ${_class}
        `,
    "data-testid": "list-item",
    disabled,
    ...attributes,
    children: [
      slotPrefix && /* @__PURE__ */ _jsxQ("span", {
        class: disabled ? "text-disabled-500" : "text-neutral-500"
      }, null, /* @__PURE__ */ _jsxC(Slot, {
        name: "prefix",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "PD_0"), 1, "PD_1"),
      /* @__PURE__ */ _jsxQ("span", null, {
        class: "flex flex-col w-full min-w-0"
      }, /* @__PURE__ */ _jsxC(Slot, null, 3, "PD_2"), 1, null),
      slotSuffix && /* @__PURE__ */ _jsxQ("span", {
        class: disabled ? "text-disabled-500" : "text-neutral-500"
      }, null, /* @__PURE__ */ _jsxC(Slot, {
        name: "suffix",
        [_IMMUTABLE]: {
          name: _IMMUTABLE
        }
      }, 3, "PD_3"), 1, "PD_4")
    ],
    [_IMMUTABLE]: {
      "data-testid": _IMMUTABLE
    }
  }, 0, "PD_5");
}, "SfListItem_component_4k7yT54W7Mo"));

export { SfListItem, defaultListItemTag as _auto_defaultListItemTag, sizeClasses as _auto_sizeClasses };
