'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const sizeClasses = {
  [types.SfLoaderSize.xs]: "h-4 w-4 ring-2",
  [types.SfLoaderSize.sm]: "h-5 w-5 ring-2",
  [types.SfLoaderSize.base]: "h-6 w-6 ring-2",
  [types.SfLoaderSize.lg]: "h-8 w-8 ring-2",
  [types.SfLoaderSize.xl]: "h-10 w-10 ring-2",
  [types.SfLoaderSize["2xl"]]: "h-14 w-14 ring-[3px]",
  [types.SfLoaderSize["3xl"]]: "h-24 w-24 ring-4",
  [types.SfLoaderSize["4xl"]]: "h-48 w-48 ring-8"
};
const strokeSizeClass = {
  [types.SfLoaderSize.xs]: "stroke-[10px]",
  [types.SfLoaderSize.sm]: "stroke-[8px]",
  [types.SfLoaderSize.base]: "stroke-[6px]",
  [types.SfLoaderSize.lg]: "stroke-[4px]",
  [types.SfLoaderSize.xl]: "stroke-[3px]",
  [types.SfLoaderSize["2xl"]]: "stroke-[3px]",
  [types.SfLoaderSize["3xl"]]: "stroke-2",
  [types.SfLoaderSize["4xl"]]: "stroke-2"
};
const SfLoaderCircular = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfLoaderSize.base, ariaLabel = "loading", class: _class, ...attributes }) => {
  return /* @__PURE__ */ qwik._jsxS("svg", {
    "aria-label": ariaLabel,
    class: `
          inline-block ring-inset ring-neutral-300 text-primary-700 rounded-full animate-spin-slow 
          ${sizeClasses[size]} ${_class}
        `,
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxQ("circle", {
      class: `
            fill-none stroke-2 stroke-current animate-stroke-loader-circular
            ${strokeSizeClass[size]}
          `
    }, {
      cx: "50",
      cy: "50",
      r: "24"
    }, null, 3, null)
  }, {
    "aria-live": "polite",
    "data-testid": "loader-circular",
    viewBox: "25 25 50 50"
  }, 0, "90_0");
}, "SfLoaderCircular_component_grLH8S4ufoQ"));

exports.SfLoaderCircular = SfLoaderCircular;
exports._auto_sizeClasses = sizeClasses;
exports._auto_strokeSizeClass = strokeSizeClass;
