'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');
const types$1 = require('../SfLoaderCircular/types.qwik.cjs');
require('../SfLoaderCircular/SfLoaderCircular.qwik.cjs');

const sizeClasses = {
  [types.SfLoaderLinearSize.minimal]: "h-1",
  [types$1.SfLoaderSize.xs]: "h-4",
  [types$1.SfLoaderSize.sm]: "h-5",
  [types$1.SfLoaderSize.base]: "h-6",
  [types$1.SfLoaderSize.lg]: "h-7",
  [types$1.SfLoaderSize.xl]: "h-10",
  [types$1.SfLoaderSize["2xl"]]: "h-14",
  [types$1.SfLoaderSize["3xl"]]: "h-24",
  [types$1.SfLoaderSize["4xl"]]: "h-48"
};
const SfLoaderLinear = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types$1.SfLoaderSize.base, ariaLabel = "loading", class: _class, ...attributes }) => {
  return /* @__PURE__ */ qwik._jsxS("span", {
    "aria-label": ariaLabel,
    class: `
          relative inline-block overflow-hidden bg-neutral-300 text-primary-700 after:absolute after:w-2.5 after:h-full after:animate-line after:bg-current after:block
          ${sizeClasses[size]}
          ${_class}
        `,
    ...attributes
  }, {
    "aria-live": "polite",
    "data-testid": "loader-linear"
  }, 0, "36_0");
}, "SfLoaderLinear_component_8cEabJieAn4"));

exports.SfLoaderLinear = SfLoaderLinear;
exports._auto_sizeClasses = sizeClasses;
