import { componentQrl, inlinedQrl, _jsxS } from '@builder.io/qwik';
import { SfLoaderLinearSize } from './types.qwik.mjs';
import { SfLoaderSize } from '../SfLoaderCircular/types.qwik.mjs';
import '../SfLoaderCircular/SfLoaderCircular.qwik.mjs';

const sizeClasses = {
  [SfLoaderLinearSize.minimal]: "h-1",
  [SfLoaderSize.xs]: "h-4",
  [SfLoaderSize.sm]: "h-5",
  [SfLoaderSize.base]: "h-6",
  [SfLoaderSize.lg]: "h-7",
  [SfLoaderSize.xl]: "h-10",
  [SfLoaderSize["2xl"]]: "h-14",
  [SfLoaderSize["3xl"]]: "h-24",
  [SfLoaderSize["4xl"]]: "h-48"
};
const SfLoaderLinear = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfLoaderSize.base, ariaLabel = "loading", class: _class, ...attributes }) => {
  return /* @__PURE__ */ _jsxS("span", {
    "aria-label": ariaLabel,
    class: `
          relative inline-block overflow-hidden bg-neutral-300 text-primary-700 after:absolute after:w-2.5 after:h-full after:animate-line after:bg-current after:block
          ${sizeClasses[size]}
          ${_class}
        `,
    ...attributes
  }, {
    "aria-live": "polite",
    "data-testid": "loader-linear"
  }, 0, "36_0");
}, "SfLoaderLinear_component_8cEabJieAn4"));

export { SfLoaderLinear, sizeClasses as _auto_sizeClasses };
