'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const qwik = require('@builder.io/qwik');

const defaultModalTag = "div";
const SfModal = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const attributes = qwik._restProps(props, [
    "as",
    "disableClickAway",
    "disableEsc",
    "onClose$",
    "class"
  ]);
  const Tag = props.as || defaultModalTag;
  const elementRef = qwik.useSignal();
  qwik.useVisibleTaskQrl(/* @__PURE__ */ qwik.inlinedQrl(({ cleanup }) => {
    const [elementRef2, props2] = qwik.useLexicalScope();
    const handleClick = (event) => {
      if (!props2.disableClickAway && !elementRef2.value?.contains(event.target))
        props2.onClose$ && props2.onClose$();
    };
    document.addEventListener("click", handleClick);
    const handleKeyDown = (event) => {
      if (!props2.disableEsc && event.key === "Escape")
        props2.onClose$ && props2.onClose$();
    };
    document.addEventListener("keydown", handleKeyDown);
    cleanup(() => {
      document.removeEventListener("click", handleClick);
      document.removeEventListener("keydown", handleKeyDown);
    });
  }, "SfModal_component_useVisibleTask_0BMssKC08Cc", [
    elementRef,
    props
  ]));
  return /* @__PURE__ */ qwik._jsxC(Tag, {
    ref: elementRef ? elementRef : {},
    get class() {
      return `fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none 
          ${props.class}`;
    },
    "aria-modal": "true",
    "data-testid": "modal",
    tabIndex: "-1",
    ...attributes,
    get disableEsc() {
      return props.disableEsc;
    },
    get disableClickAway() {
      return props.disableClickAway;
    },
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "Cd_0"),
    [qwik._IMMUTABLE]: {
      "aria-modal": qwik._IMMUTABLE,
      class: qwik._fnSignal((p0) => `fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none 
          ${p0.class}`, [
        props
      ], "`fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none \n          ${p0.class}`"),
      "data-testid": qwik._IMMUTABLE,
      disableClickAway: qwik._fnSignal((p0) => p0.disableClickAway, [
        props
      ], "p0.disableClickAway"),
      disableEsc: qwik._fnSignal((p0) => p0.disableEsc, [
        props
      ], "p0.disableEsc"),
      ref: qwik._IMMUTABLE,
      tabIndex: qwik._IMMUTABLE
    }
  }, 0, "Cd_1");
}, "SfModal_component_DqBM05Y3L5U"));

exports.SfModal = SfModal;
exports._auto_defaultModalTag = defaultModalTag;
exports.default = SfModal;
