import { componentQrl, inlinedQrl, _restProps, useSignal, useVisibleTaskQrl, useLexicalScope, _jsxC, Slot, _IMMUTABLE, _fnSignal } from '@builder.io/qwik';

const defaultModalTag = "div";
const SfModal = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = _restProps(props, [
    "as",
    "disableClickAway",
    "disableEsc",
    "onClose$",
    "class"
  ]);
  const Tag = props.as || defaultModalTag;
  const elementRef = useSignal();
  useVisibleTaskQrl(/* @__PURE__ */ inlinedQrl(({ cleanup }) => {
    const [elementRef2, props2] = useLexicalScope();
    const handleClick = (event) => {
      if (!props2.disableClickAway && !elementRef2.value?.contains(event.target))
        props2.onClose$ && props2.onClose$();
    };
    document.addEventListener("click", handleClick);
    const handleKeyDown = (event) => {
      if (!props2.disableEsc && event.key === "Escape")
        props2.onClose$ && props2.onClose$();
    };
    document.addEventListener("keydown", handleKeyDown);
    cleanup(() => {
      document.removeEventListener("click", handleClick);
      document.removeEventListener("keydown", handleKeyDown);
    });
  }, "SfModal_component_useVisibleTask_0BMssKC08Cc", [
    elementRef,
    props
  ]));
  return /* @__PURE__ */ _jsxC(Tag, {
    ref: elementRef ? elementRef : {},
    get class() {
      return `fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none 
          ${props.class}`;
    },
    "aria-modal": "true",
    "data-testid": "modal",
    tabIndex: "-1",
    ...attributes,
    get disableEsc() {
      return props.disableEsc;
    },
    get disableClickAway() {
      return props.disableClickAway;
    },
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "Cd_0"),
    [_IMMUTABLE]: {
      "aria-modal": _IMMUTABLE,
      class: _fnSignal((p0) => `fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none 
          ${p0.class}`, [
        props
      ], "`fixed inset-0 w-fit h-fit m-auto p-6 pt-10 lg:p-10 border border-neutral-100 bg-white shadow-xl rounded-xl outline-none \n          ${p0.class}`"),
      "data-testid": _IMMUTABLE,
      disableClickAway: _fnSignal((p0) => p0.disableClickAway, [
        props
      ], "p0.disableClickAway"),
      disableEsc: _fnSignal((p0) => p0.disableEsc, [
        props
      ], "p0.disableEsc"),
      ref: _IMMUTABLE,
      tabIndex: _IMMUTABLE
    }
  }, 0, "Cd_1");
}, "SfModal_component_DqBM05Y3L5U"));

export { SfModal, defaultModalTag as _auto_defaultModalTag, SfModal as default };
