'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');
const types$1 = require('../SfProgressCircular/types.qwik.cjs');
require('../SfProgressCircular/SfProgressCircular.qwik.cjs');

const sizeClasses = {
  [types.SfProgressLinearSize.minimal]: "h-1",
  [types$1.SfProgressSize.xs]: "h-4",
  [types$1.SfProgressSize.sm]: "h-5",
  [types$1.SfProgressSize.base]: "h-6",
  [types$1.SfProgressSize.lg]: "h-7",
  [types$1.SfProgressSize.xl]: "h-10",
  [types$1.SfProgressSize["2xl"]]: "h-14",
  [types$1.SfProgressSize["3xl"]]: "h-24",
  [types$1.SfProgressSize["4xl"]]: "h-48"
};
const SfProgressLinear = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ value = 0, size = types$1.SfProgressSize.base, ariaLabel = "Progress element", class: _class, ...attributes }) => {
  return /* @__PURE__ */ qwik._jsxS("progress", {
    "aria-label": ariaLabel,
    class: `bg-neutral-300 text-primary-700 [&::-webkit-progress-bar]:bg-inherit [&::-webkit-progress-value]:bg-current [&::-webkit-progress-value]:transition-[width] [&::-webkit-progress-value]:ease-in-out [&::-webkit-progress-value]:duration-200 [&::-moz-progress-bar]:bg-current
          ${sizeClasses[size]}
          ${_class}`,
    value,
    ...attributes
  }, {
    "data-testid": "progress-linear",
    max: "100"
  }, 0, "0y_0");
}, "SfProgressLinear_component_AD0D0gaYpJQ"));

exports.SfProgressLinear = SfProgressLinear;
exports._auto_sizeClasses = sizeClasses;
