import { componentQrl, inlinedQrl, _jsxS } from '@builder.io/qwik';
import { SfProgressLinearSize } from './types.qwik.mjs';
import { SfProgressSize } from '../SfProgressCircular/types.qwik.mjs';
import '../SfProgressCircular/SfProgressCircular.qwik.mjs';

const sizeClasses = {
  [SfProgressLinearSize.minimal]: "h-1",
  [SfProgressSize.xs]: "h-4",
  [SfProgressSize.sm]: "h-5",
  [SfProgressSize.base]: "h-6",
  [SfProgressSize.lg]: "h-7",
  [SfProgressSize.xl]: "h-10",
  [SfProgressSize["2xl"]]: "h-14",
  [SfProgressSize["3xl"]]: "h-24",
  [SfProgressSize["4xl"]]: "h-48"
};
const SfProgressLinear = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ value = 0, size = SfProgressSize.base, ariaLabel = "Progress element", class: _class, ...attributes }) => {
  return /* @__PURE__ */ _jsxS("progress", {
    "aria-label": ariaLabel,
    class: `bg-neutral-300 text-primary-700 [&::-webkit-progress-bar]:bg-inherit [&::-webkit-progress-value]:bg-current [&::-webkit-progress-value]:transition-[width] [&::-webkit-progress-value]:ease-in-out [&::-webkit-progress-value]:duration-200 [&::-moz-progress-bar]:bg-current
          ${sizeClasses[size]}
          ${_class}`,
    value,
    ...attributes
  }, {
    "data-testid": "progress-linear",
    max: "100"
  }, 0, "0y_0");
}, "SfProgressLinear_component_AD0D0gaYpJQ"));

export { SfProgressLinear, sizeClasses as _auto_sizeClasses };
