import { componentQrl, inlinedQrl, _restProps, _jsxS, _fnSignal } from '@builder.io/qwik';

const SfRadio = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = _restProps(props, [
    "invalid",
    "ref",
    "class",
    "disabled",
    "onChange$"
  ]);
  return /* @__PURE__ */ _jsxS("input", {
    ...props.ref ? {
      ref: props.ref
    } : {},
    class: `
        h-5 w-5 border-2 p-[3px] bg-clip-content rounded-full appearance-none cursor-pointer focus-visible:outline focus-visible:outline-offset disabled:border-disabled-500 disabled:cursor-not-allowed disabled:checked:bg-disabled-500 disabled:checked:border-disabled-500
        ${props.invalid && !props.disabled ? "border-negative-700 checked:bg-negative-700 hover:border-negative-800 hover:checked:bg-negative-800 active:border-negative-900 active:checked:bg-negative-900" : "border-neutral-500 active:border-primary-900 hover:border-primary-700 checked:bg-primary-700 checked:border-primary-700 hover:checked:bg-primary-800 hover:checked:border-primary-800 active:checked:bg-primary-900 active:checked:border-primary-900"}
        ${props.class}
      `,
    ...attributes,
    onChange$: props.onChange$
  }, {
    disabled: _fnSignal((p0) => p0.disabled, [
      props
    ], "p0.disabled"),
    type: "radio"
  }, 0, "tz_0");
}, "SfRadio_component_ovCWOZP6shk"));

export { SfRadio };
