'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
require('../SfIconBase/types.qwik.cjs');
require('@builder.io/qwik/jsx-runtime');
const SfIconStar = require('../SfIcons/SfIconStar.qwik.cjs');
const SfIconStarFilled = require('../SfIcons/SfIconStarFilled.qwik.cjs');
const SfIconStarHalf = require('../SfIcons/SfIconStarHalf.qwik.cjs');
const types = require('./types.qwik.cjs');

const sizeClasses = {
  [types.SfRatingSize.xs]: "text-xs",
  [types.SfRatingSize.sm]: "text-sm",
  [types.SfRatingSize.base]: "text-base",
  [types.SfRatingSize.lg]: "text-lg",
  [types.SfRatingSize.xl]: "text-xl"
};
const SfRating = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfRatingSize.base, max = 5, value = 0, halfIncrement, ariaLabel, class: _class, ...attributes }) => {
  qwik._jsxBranch();
  const uniqueId = qwik.useId();
  const clamp = (value2, min, max2) => {
    return Math.min(Math.max(value2, min), max2);
  };
  const roundToNearest = (value2, step) => {
    return Math.round(value2 / step) * step;
  };
  const precision = halfIncrement ? 0.5 : 1;
  const ratingValue = clamp(roundToNearest(value, precision), 0, max);
  const partiallyFilled = Number(!Number.isInteger(ratingValue));
  const filled = Math.ceil(ratingValue - partiallyFilled);
  const empty = max - filled - partiallyFilled;
  const label = ariaLabel ?? `${value} out of ${max}`;
  return /* @__PURE__ */ qwik._jsxS("div", {
    "aria-label": label,
    class: `inline-flex items-center text-warning-500 ${sizeClasses[size]} ${_class}`,
    title: label,
    ...attributes,
    children: [
      [
        ...Array(filled).keys()
      ].map((_, i) => /* @__PURE__ */ qwik._jsxC(SfIconStarFilled.SfIconStarFilled, {
        "aria-hidden": "true",
        class: "w-[1.5em] h-[1.5em]",
        [qwik._IMMUTABLE]: {
          "aria-hidden": qwik._IMMUTABLE,
          class: qwik._IMMUTABLE
        }
      }, 3, `${uniqueId}-filled-${i}`)),
      Boolean(partiallyFilled) && /* @__PURE__ */ qwik._jsxC(SfIconStarHalf.SfIconStarHalf, {
        "aria-hidden": "true",
        class: "w-[1.5em] h-[1.5em]",
        [qwik._IMMUTABLE]: {
          "aria-hidden": qwik._IMMUTABLE,
          class: qwik._IMMUTABLE
        }
      }, 3, "oO_0"),
      [
        ...Array(empty).keys()
      ].map((_, i) => /* @__PURE__ */ qwik._jsxC(SfIconStar.SfIconStar, {
        "aria-hidden": "true",
        class: "text-disabled-500 w-[1.5em] h-[1.5em]",
        [qwik._IMMUTABLE]: {
          "aria-hidden": qwik._IMMUTABLE,
          class: qwik._IMMUTABLE
        }
      }, 3, `${uniqueId}-${i}`))
    ]
  }, {
    "data-testid": "rating",
    role: "img"
  }, 0, "oO_1");
}, "SfRating_component_SEin7XEUNK8"));

exports.SfRating = SfRating;
exports._auto_sizeClasses = sizeClasses;
