import { componentQrl, inlinedQrl, _jsxBranch, useId, _jsxS, _jsxC, _IMMUTABLE } from '@builder.io/qwik';
import '../SfIconBase/types.qwik.mjs';
import '@builder.io/qwik/jsx-runtime';
import { SfIconStar } from '../SfIcons/SfIconStar.qwik.mjs';
import { SfIconStarFilled } from '../SfIcons/SfIconStarFilled.qwik.mjs';
import { SfIconStarHalf } from '../SfIcons/SfIconStarHalf.qwik.mjs';
import { SfRatingSize } from './types.qwik.mjs';

const sizeClasses = {
  [SfRatingSize.xs]: "text-xs",
  [SfRatingSize.sm]: "text-sm",
  [SfRatingSize.base]: "text-base",
  [SfRatingSize.lg]: "text-lg",
  [SfRatingSize.xl]: "text-xl"
};
const SfRating = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfRatingSize.base, max = 5, value = 0, halfIncrement, ariaLabel, class: _class, ...attributes }) => {
  _jsxBranch();
  const uniqueId = useId();
  const clamp = (value2, min, max2) => {
    return Math.min(Math.max(value2, min), max2);
  };
  const roundToNearest = (value2, step) => {
    return Math.round(value2 / step) * step;
  };
  const precision = halfIncrement ? 0.5 : 1;
  const ratingValue = clamp(roundToNearest(value, precision), 0, max);
  const partiallyFilled = Number(!Number.isInteger(ratingValue));
  const filled = Math.ceil(ratingValue - partiallyFilled);
  const empty = max - filled - partiallyFilled;
  const label = ariaLabel ?? `${value} out of ${max}`;
  return /* @__PURE__ */ _jsxS("div", {
    "aria-label": label,
    class: `inline-flex items-center text-warning-500 ${sizeClasses[size]} ${_class}`,
    title: label,
    ...attributes,
    children: [
      [
        ...Array(filled).keys()
      ].map((_, i) => /* @__PURE__ */ _jsxC(SfIconStarFilled, {
        "aria-hidden": "true",
        class: "w-[1.5em] h-[1.5em]",
        [_IMMUTABLE]: {
          "aria-hidden": _IMMUTABLE,
          class: _IMMUTABLE
        }
      }, 3, `${uniqueId}-filled-${i}`)),
      Boolean(partiallyFilled) && /* @__PURE__ */ _jsxC(SfIconStarHalf, {
        "aria-hidden": "true",
        class: "w-[1.5em] h-[1.5em]",
        [_IMMUTABLE]: {
          "aria-hidden": _IMMUTABLE,
          class: _IMMUTABLE
        }
      }, 3, "oO_0"),
      [
        ...Array(empty).keys()
      ].map((_, i) => /* @__PURE__ */ _jsxC(SfIconStar, {
        "aria-hidden": "true",
        class: "text-disabled-500 w-[1.5em] h-[1.5em]",
        [_IMMUTABLE]: {
          "aria-hidden": _IMMUTABLE,
          class: _IMMUTABLE
        }
      }, 3, `${uniqueId}-${i}`))
    ]
  }, {
    "data-testid": "rating",
    role: "img"
  }, 0, "oO_1");
}, "SfRating_component_SEin7XEUNK8"));

export { SfRating, sizeClasses as _auto_sizeClasses };
