'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
require('../SfIconBase/types.qwik.cjs');
const SfIconExpandMore = require('../SfIcons/SfIconExpandMore.qwik.cjs');
require('@builder.io/qwik/jsx-runtime');
const types = require('./types.qwik.cjs');

const SfSelect = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({
  size = types.SfSelectSize.base,
  invalid,
  wrapperClass,
  slotChevron,
  required,
  disabled,
  class: _class,
  placeholder,
  // onBlur,
  onChange$,
  // onClick,
  // onKeyDown,
  ...attributes
}) => {
  qwik._jsxBranch();
  const chevronRotatedSignal = qwik.useSignal(false);
  return /* @__PURE__ */ qwik._jsxQ("div", {
    class: `relative flex flex-col rounded-md ${""} ${wrapperClass}`
  }, {
    "data-testid": "select"
  }, [
    /* @__PURE__ */ qwik._jsxS("select", {
      class: `
          appearance-none disabled:cursor-not-allowed cursor-pointer pl-4 pr-3.5 text-neutral-900 focus:ring-primary-700 focus:ring-2 outline-none bg-transparent rounded-md ring-1 ring-inset ring-neutral-300 hover:ring-primary-700 active:ring-2 active:ring-primary-700 disabled:bg-disabled-100 disabled:text-disabled-900 disabled:ring-disabled-200
          ${size === types.SfSelectSize.sm ? "py-1.5" : ""}
          ${size === types.SfSelectSize.base ? "py-2" : ""}
          ${size === types.SfSelectSize.lg ? "py-3 text-base" : ""}
          ${invalid && !disabled ? "!ring-negative-600 ring-2" : ""}
          ${_class}`,
      disabled,
      required,
      ...attributes,
      children: [
        placeholder && /* @__PURE__ */ qwik._jsxQ("option", {
          class: `bg-neutral-300 text-sm ${size === types.SfSelectSize.lg ? "text-base" : ""}`
        }, {
          "data-testid": "select-placeholder",
          value: ""
        }, placeholder, 1, "hf_0"),
        /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "hf_1")
      ],
      onChange$
    }, null, 0, null),
    slotChevron ? /* @__PURE__ */ qwik._jsxC(qwik.Slot, {
      name: "chevron",
      [qwik._IMMUTABLE]: {
        name: qwik._IMMUTABLE
      }
    }, 3, "hf_2") : /* @__PURE__ */ qwik._jsxC(SfIconExpandMore.SfIconExpandMore, {
      class: `
            box-border absolute -translate-y-1 pointer-events-none top-1/3 right-4 transition easy-in-out duration-0.5 
            ${disabled ? "text-disabled-500" : "text-neutral-500"}
            ${chevronRotatedSignal.value ? "rotate-180" : ""}`
    }, 3, "hf_3")
  ], 1, "hf_4");
}, "SfSelect_component_hk2FZK0F0yk"));

exports.SfSelect = SfSelect;
