import { componentQrl, inlinedQrl, _jsxBranch, useSignal, _jsxQ, _jsxS, _jsxC, Slot, _IMMUTABLE } from '@builder.io/qwik';
import '../SfIconBase/types.qwik.mjs';
import { SfIconExpandMore } from '../SfIcons/SfIconExpandMore.qwik.mjs';
import '@builder.io/qwik/jsx-runtime';
import { SfSelectSize } from './types.qwik.mjs';

const SfSelect = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({
  size = SfSelectSize.base,
  invalid,
  wrapperClass,
  slotChevron,
  required,
  disabled,
  class: _class,
  placeholder,
  // onBlur,
  onChange$,
  // onClick,
  // onKeyDown,
  ...attributes
}) => {
  _jsxBranch();
  const chevronRotatedSignal = useSignal(false);
  return /* @__PURE__ */ _jsxQ("div", {
    class: `relative flex flex-col rounded-md ${""} ${wrapperClass}`
  }, {
    "data-testid": "select"
  }, [
    /* @__PURE__ */ _jsxS("select", {
      class: `
          appearance-none disabled:cursor-not-allowed cursor-pointer pl-4 pr-3.5 text-neutral-900 focus:ring-primary-700 focus:ring-2 outline-none bg-transparent rounded-md ring-1 ring-inset ring-neutral-300 hover:ring-primary-700 active:ring-2 active:ring-primary-700 disabled:bg-disabled-100 disabled:text-disabled-900 disabled:ring-disabled-200
          ${size === SfSelectSize.sm ? "py-1.5" : ""}
          ${size === SfSelectSize.base ? "py-2" : ""}
          ${size === SfSelectSize.lg ? "py-3 text-base" : ""}
          ${invalid && !disabled ? "!ring-negative-600 ring-2" : ""}
          ${_class}`,
      disabled,
      required,
      ...attributes,
      children: [
        placeholder && /* @__PURE__ */ _jsxQ("option", {
          class: `bg-neutral-300 text-sm ${size === SfSelectSize.lg ? "text-base" : ""}`
        }, {
          "data-testid": "select-placeholder",
          value: ""
        }, placeholder, 1, "hf_0"),
        /* @__PURE__ */ _jsxC(Slot, null, 3, "hf_1")
      ],
      onChange$
    }, null, 0, null),
    slotChevron ? /* @__PURE__ */ _jsxC(Slot, {
      name: "chevron",
      [_IMMUTABLE]: {
        name: _IMMUTABLE
      }
    }, 3, "hf_2") : /* @__PURE__ */ _jsxC(SfIconExpandMore, {
      class: `
            box-border absolute -translate-y-1 pointer-events-none top-1/3 right-4 transition easy-in-out duration-0.5 
            ${disabled ? "text-disabled-500" : "text-neutral-500"}
            ${chevronRotatedSignal.value ? "rotate-180" : ""}`
    }, 3, "hf_3")
  ], 1, "hf_4");
}, "SfSelect_component_hk2FZK0F0yk"));

export { SfSelect };
