'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const sizeClasses = {
  [types.SfTextareaSize.sm]: "h-[56px] py-[6px] pl-4 pr-3",
  [types.SfTextareaSize.base]: "h-[64px] py-2 pl-4 pr-3",
  [types.SfTextareaSize.lg]: "h-[72px], p-3 pl-4"
};
const SfTextarea = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfTextareaSize.base, invalid = false, wrapperClass, name, value, readOnly, disabled, placeholder, onInput$ }) => {
  const ref = qwik.useSignal();
  return /* @__PURE__ */ qwik._jsxQ("textarea", {
    class: [
      "px-4 bg-white rounded-md text-neutral-900  ring-inset hover:ring-primary-800 focus:caret-primary-700 active:caret-primary-700 active:ring-primary-700 active:ring-2 focus:ring-primary-700 focus:ring-2 outline-none",
      {
        "ring-2 ring-negative-700": invalid,
        "ring-1 ring-neutral-200": !invalid
      },
      sizeClasses[size],
      wrapperClass
    ],
    disabled,
    name,
    // eslint-disable-next-line qwik/valid-lexical-scope
    onInput$,
    placeholder,
    readOnly,
    ref,
    value
  }, {
    "data-testid": "textarea"
  }, null, 2, "EB_0");
}, "SfTextarea_component_7flIJoPbQdM"));

exports.SfTextarea = SfTextarea;
exports._auto_sizeClasses = sizeClasses;
