import { componentQrl, inlinedQrl, useSignal, _jsxQ } from '@builder.io/qwik';
import { SfTextareaSize } from './types.qwik.mjs';

const sizeClasses = {
  [SfTextareaSize.sm]: "h-[56px] py-[6px] pl-4 pr-3",
  [SfTextareaSize.base]: "h-[64px] py-2 pl-4 pr-3",
  [SfTextareaSize.lg]: "h-[72px], p-3 pl-4"
};
const SfTextarea = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfTextareaSize.base, invalid = false, wrapperClass, name, value, readOnly, disabled, placeholder, onInput$ }) => {
  const ref = useSignal();
  return /* @__PURE__ */ _jsxQ("textarea", {
    class: [
      "px-4 bg-white rounded-md text-neutral-900  ring-inset hover:ring-primary-800 focus:caret-primary-700 active:caret-primary-700 active:ring-primary-700 active:ring-2 focus:ring-primary-700 focus:ring-2 outline-none",
      {
        "ring-2 ring-negative-700": invalid,
        "ring-1 ring-neutral-200": !invalid
      },
      sizeClasses[size],
      wrapperClass
    ],
    disabled,
    name,
    // eslint-disable-next-line qwik/valid-lexical-scope
    onInput$,
    placeholder,
    readOnly,
    ref,
    value
  }, {
    "data-testid": "textarea"
  }, null, 2, "EB_0");
}, "SfTextarea_component_7flIJoPbQdM"));

export { SfTextarea, sizeClasses as _auto_sizeClasses };
