'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const qwik = require('@builder.io/qwik');
const types = require('./types.qwik.cjs');

const sizeClasses = {
  [types.SfThumbnailSize.sm]: "w-5 h-5",
  [types.SfThumbnailSize.base]: "w-6 h-6",
  [types.SfThumbnailSize.lg]: "w-10 h-10",
  [types.SfThumbnailSize.xl]: "w-14 h-14"
};
const SfThumbnail = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ size = types.SfThumbnailSize.base, class: _class, ...attributes }) => {
  return /* @__PURE__ */ qwik._jsxS("div", {
    class: [
      "rounded-full overflow-hidden bg-clip-content p-0.5",
      sizeClasses[size],
      _class
    ],
    ...attributes,
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "az_0")
  }, {
    "data-testid": "thumbnail"
  }, 0, "az_1");
}, "SfThumbnail_component_HCvVNdhMjzE"));

exports.SfThumbnail = SfThumbnail;
exports._auto_sizeClasses = sizeClasses;
