import { componentQrl, inlinedQrl, _jsxS, _jsxC, Slot } from '@builder.io/qwik';
import { SfThumbnailSize } from './types.qwik.mjs';

const sizeClasses = {
  [SfThumbnailSize.sm]: "w-5 h-5",
  [SfThumbnailSize.base]: "w-6 h-6",
  [SfThumbnailSize.lg]: "w-10 h-10",
  [SfThumbnailSize.xl]: "w-14 h-14"
};
const SfThumbnail = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ size = SfThumbnailSize.base, class: _class, ...attributes }) => {
  return /* @__PURE__ */ _jsxS("div", {
    class: [
      "rounded-full overflow-hidden bg-clip-content p-0.5",
      sizeClasses[size],
      _class
    ],
    ...attributes,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "az_0")
  }, {
    "data-testid": "thumbnail"
  }, 0, "az_1");
}, "SfThumbnail_component_HCvVNdhMjzE"));

export { SfThumbnail, sizeClasses as _auto_sizeClasses };
